Posts API

Create, schedule, update, retry and delete posts. One post targets several networks at once through its per-network data.

OperationMethod and path
Get posts that can be reconnected to a social accountGET /api/v1/post/reconnect-social-account/candidates
Reconnect social account to matching postsPOST /api/v1/post/reconnect-social-account
Get post by reference keyGET /api/v1/post/reference-key/{referenceKey}
Get postGET /api/v1/post/{id}
Update postPATCH /api/v1/post/{id}
Delete postDELETE /api/v1/post/{id}
Get post listGET /api/v1/post
Create postPOST /api/v1/post
Retry postPOST /api/v1/post/{id}/retry
GET /api/v1/post/reconnect-social-account/candidates

Get posts that can be reconnected to a social account

post.getReconnectSocialAccountCandidates · requires x-api-key

Parameters

NameInTypeNotes
teamId required query string
type required query string One of TIKTOK, YOUTUBE, INSTAGRAM, FACEBOOK, TWITTER, THREADS, LINKEDIN, PINTEREST, REDDIT, MASTODON, DISCORD, SLACK, BLUESKY, GOOGLE_BUSINESS, SNAPCHAT
offset query number default 0 · nullable
limit query number default 10 · nullable

Example

curl -X GET "https://api.siaran.my/api/v1/post/reconnect-social-account/candidates?teamId=TEAM_ID&type=TIKTOK" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

2 top-level fields
  • items object[] required
    6 fields
    • id string required
    • title string required
    • postDate string required nullable date-time
    • status string required
      One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING REVIEW RETRYING
    • createdAt string required nullable date-time
    • updatedAt string required nullable date-time
  • total number required

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/post/reconnect-social-account

Reconnect social account to matching posts

post.reconnectSocialAccount · requires x-api-key

Request body application/json

  • teamId string required
  • type string required
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • postIds string[]

Example

curl -X POST "https://api.siaran.my/api/v1/post/reconnect-social-account" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "teamId": "TEAM_ID",
    "type": "TIKTOK"
  }'

Response 200

4 top-level fields
  • total number required
  • succeeded number required
  • failed number required
  • results object[] required
    6 fields
    • postId string required
    • title string nullable
    • success boolean required
    • statusBefore string
      One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING REVIEW RETRYING
    • statusAfter string
      One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING REVIEW RETRYING
    • message string

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

GET /api/v1/post/reference-key/{referenceKey}

Get post by reference key

post.getByReferenceKey · requires x-api-key

Parameters

NameInTypeNotes
referenceKey required path string

Example

curl -X GET "https://api.siaran.my/api/v1/post/reference-key/REFERENCEKEY" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

20 top-level fields
  • id string required
  • teamId string required
  • organizationId string nullable
  • title string required
  • referenceKey string nullable
  • postDate string required nullable date-time
  • postedDate string nullable date-time
  • status string required
    One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING REVIEW RETRYING
  • data object required
    15 fields
    • TWITTER object nullable
      12 fields
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable max length 1,000
      • replySettings string nullable
        One of: EVERYONE FOLLOWING MENTIONED_USERS SUBSCRIBERS VERIFIED
      • poll object nullable
        2 fields
        • options string[] required min 2 itemsmax 4 itemseach: min length 1each: max length 25
        • durationMinutes integer required ≥ 5≤ 10080
      • quoteTweetId string nullable
      • replyToTweetId string nullable
      • subscribersOnly boolean nullable
      • thread object[] nullable max 25 items
        2 fields
        • text string nullable max length 25,000
        • uploadIds string[] nullable
      • tweetStorm boolean nullable
      • tweetStormNumbering boolean nullable
      • isAiGenerated boolean nullable default false
    • PINTEREST object nullable
      10 fields
      • text string nullable
      • description string nullable
      • boardName string required
      • uploadIds string[] nullable
      • thumbnail string nullable
      • link string nullable
      • altText string nullable
      • note string nullable
      • dominantColor string nullable
      • isAiGenerated boolean nullable default false
    • FACEBOOK object nullable
      9 fields
      • type string default "POST"
        One of: POST REEL STORY
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable
      • link string nullable
      • thumbnail string nullable
      • mediaTitle string nullable
      • nativeScheduleTime string nullable date-time
      • textFormatPresetId string nullable
    • INSTAGRAM object nullable
      18 fields
      • type string default "POST"
        One of: POST REEL STORY
      • text string nullable
      • uploadIds string[] nullable
      • altText string nullable
      • thumbnailOffset number nullable default 0
      • thumbnail string nullable
      • shareToFeed boolean nullable default true
      • collaborators string[] nullable
      • autoFitImage boolean nullable default false
      • autoCropImage boolean nullable default false
      • tagged object[] nullable
        3 fields
        • username string required
        • x number ≥ 0≤ 1
        • y number ≥ 0≤ 1
      • carouselItems object[] nullable
        3 fields
        • uploadId string required
        • altText string nullable
        • tagged object[] nullable
          3 fields
          • username string required
          • x number required ≥ 0≤ 1
          • y number required ≥ 0≤ 1
      • locationId string nullable
      • trialParams object nullable
        1 field
        • graduationStrategy string required
          One of: MANUAL SS_PERFORMANCE
      • isPaidPartnership boolean nullable default false
      • brandedContentSponsors string[] nullable max 2 itemseach: min length 1each: max length 30
      • musicSoundInfo object nullable
        3 fields
        • musicSoundId string required min length 1
        • musicSoundVolume integer nullable ≥ 0≤ 100
        • videoOriginalSoundVolume integer nullable ≥ 0≤ 100
      • isAiGenerated boolean nullable default false
    • THREADS object nullable
      11 fields
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable
      • topicTag string nullable
      • replyControl string nullable
        One of: everyone accounts_you_follow mentioned_only parent_post_author_only followers_only
      • linkAttachment string nullable
      • poll object nullable
        4 fields
        • optionA string required
        • optionB string required
        • optionC string nullable
        • optionD string nullable
      • gif object nullable
        2 fields
        • gifId string required
        • provider string default "GIPHY"
          One of: GIPHY
      • allowlistedCountryCodes string[] nullable
      • crosspostToInstagramStory boolean nullable
      • crosspostToInstagramStoryDarkMode boolean nullable
    • TIKTOK object nullable
      17 fields
      • type string default "VIDEO"
        One of: VIDEO IMAGE
      • text string nullable
      • uploadIds string[] nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: SELF_ONLY PUBLIC_TO_EVERYONE MUTUAL_FOLLOW_FRIENDS FOLLOWER_OF_CREATOR
      • photoCoverIndex integer nullable default 0 ≥ 0
      • isBrandContent boolean nullable default false
      • isOrganicBrandContent boolean nullable default false
      • disableComments boolean nullable default false
      • disableDuet boolean nullable default false
      • disableStitch boolean nullable default false
      • thumbnailOffset number nullable default 0
      • isAiGenerated boolean nullable default false
      • autoAddMusic boolean nullable default false
      • autoScale boolean nullable default false
      • uploadToDraft boolean nullable default false
      • musicSoundInfo object nullable
        5 fields
        • musicSoundId string required min length 1
        • musicSoundVolume integer nullable ≥ 0≤ 100
        • musicSoundStart integer nullable ≥ 0
        • musicSoundEnd integer nullable ≥ 0
        • videoOriginalSoundVolume integer nullable ≥ 0≤ 100
    • LINKEDIN object nullable
      8 fields
      • text string required
      • uploadIds string[] nullable
      • link string nullable
      • thumbnail string nullable
      • mediaTitle string nullable
      • privacy string nullable
        One of: CONNECTIONS PUBLIC LOGGED_IN CONTAINER
      • hideFromFeed boolean nullable default false
      • disableReshare boolean nullable default false
    • YOUTUBE object nullable
      11 fields
      • type string default "SHORT"
        One of: VIDEO SHORT
      • uploadIds string[] nullable
      • text string nullable
      • description string nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: PRIVATE PUBLIC UNLISTED
      • defaultLanguage string nullable max length 35
      • defaultAudioLanguage string nullable max length 35
      • madeForKids boolean nullable default false
      • containsSyntheticMedia boolean nullable default false
      • hasPaidProductPlacement boolean nullable default false
    • REDDIT object nullable
      7 fields
      • sr string required
      • text string required
      • description string nullable
      • uploadIds string[] nullable
      • link string nullable
      • nsfw boolean nullable default false
      • flairId string nullable
    • DISCORD object nullable
      5 fields
      • channelId string required
      • text string nullable
      • uploadIds string[] nullable
      • username string nullable
      • avatarUrl string nullable
    • SLACK object nullable
      5 fields
      • channelId string required
      • text string nullable
      • uploadIds string[] nullable
      • username string nullable
      • avatarUrl string nullable
    • MASTODON object nullable
      5 fields
      • text string nullable
      • uploadIds string[] nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: PUBLIC UNLISTED PRIVATE DIRECT
      • spoiler string nullable
    • BLUESKY object nullable
      10 fields
      • text string nullable
      • uploadIds string[] nullable
      • tags string[] nullable max 8 items
      • labels string[] nullable
        One of: !no-unauthenticated porn sexual nudity graphic-media
      • quoteUri string max length 512pattern ^at:\/\/\S+$
      • externalUrl string nullable uri
      • externalTitle string nullable
      • externalDescription string nullable
      • thumbnail string nullable urimax length 2,048
      • videoAlt string nullable max length 10,000
    • GOOGLE_BUSINESS object nullable
      13 fields
      • text string nullable
      • uploadIds string[] nullable
      • topicType string nullable default "STANDARD"
        One of: STANDARD EVENT OFFER ALERT
      • languageCode string nullable
      • callToActionType string nullable
        One of: BOOK ORDER SHOP LEARN_MORE SIGN_UP CALL
      • callToActionUrl string nullable
      • eventTitle string nullable
      • eventStartDate string nullable date-time
      • eventEndDate string nullable date-time
      • offerCouponCode string nullable
      • offerRedeemOnlineUrl string nullable
      • offerTermsConditions string nullable
      • alertType string nullable default "COVID_19"
        One of: COVID_19
    • SNAPCHAT object nullable
      8 fields
      • type string default "STORY"
        One of: STORY SPOTLIGHT SAVED_STORY
      • uploadIds string[] nullable
      • text string nullable
      • title string nullable
      • description string nullable
      • locale string nullable
      • skipSaveToProfile boolean nullable default false
      • storyDuration string nullable
        One of: ONE_DAY TWO_DAYS THREE_DAYS ONE_WEEK
  • error string nullable
  • errors object nullable
    15 fields
    • TWITTER string nullable
    • PINTEREST string nullable
    • FACEBOOK string nullable
    • INSTAGRAM string nullable
    • TIKTOK string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • YOUTUBE string nullable
    • MASTODON string nullable
    • THREADS string nullable
    • BLUESKY string nullable
    • GOOGLE_BUSINESS string nullable
    • SNAPCHAT string nullable
  • errorsVerbose object nullable
    15 fields
    • TWITTER object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • PINTEREST object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • FACEBOOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • INSTAGRAM object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • TIKTOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • LINKEDIN object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • REDDIT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • DISCORD object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SLACK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • YOUTUBE object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • MASTODON object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • THREADS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • BLUESKY object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • GOOGLE_BUSINESS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SNAPCHAT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
  • externalData object nullable
    15 fields
    • TWITTER object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • PINTEREST object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
    • FACEBOOK object nullable
      5 fields
      • id string nullable
      • postId string nullable
      • videoId string nullable
      • permalink string nullable
      • thumbnail string nullable
    • INSTAGRAM object nullable
      4 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
      • creationId string nullable
    • TIKTOK object nullable
      5 fields
      • id string nullable
      • shareId string nullable
      • requestId string nullable
      • permalink string nullable
      • status string nullable
    • LINKEDIN object nullable
      4 fields
      • id string nullable
      • activity string nullable
      • permalink string nullable
      • thumbnail string nullable
    • REDDIT object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • subreddit_name string nullable
    • DISCORD object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • channelId string nullable
    • SLACK object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • channelId string nullable
    • YOUTUBE object nullable
      4 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
      • sessionUri string nullable
    • MASTODON object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
    • THREADS object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • creationId string nullable
    • BLUESKY object nullable
      5 fields
      • id string nullable
      • uri string nullable
      • cid string nullable
      • permalink string nullable
      • did string nullable
    • GOOGLE_BUSINESS object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • SNAPCHAT object nullable
      10 fields
      • id string nullable
      • mediaId string nullable
      • mediaIds string[] nullable
      • type string nullable
        One of: STORY SPOTLIGHT SAVED_STORY
      • profileId string nullable
      • sourceUploadId string nullable
      • sourceUploadIds string[] nullable
      • mediaUploadedAt string nullable
      • permalink string nullable
      • status string nullable
        One of: MEDIA_UPLOADED MEDIA_PROCESSING PUBLISHED
  • retryCount number required
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time
  • firstComment object nullable
    12 fields
    • TIKTOK string nullable
    • YOUTUBE string nullable
    • INSTAGRAM string nullable
    • FACEBOOK string nullable
    • TWITTER string nullable
    • THREADS string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • MASTODON string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • BLUESKY string nullable
  • uploads object[] required
    6 fields
    • postId string required
    • uploadId string required
    • createdAt string required nullable date-time
    • updatedAt string required nullable date-time
    • deletedAt string nullable date-time
    • upload object required
      19 fields
      • id string required
      • teamId string nullable
      • organizationId string nullable
      • iconUrl string nullable uri
      • thumbnailUrl string nullable uri
      • url string nullable uri
      • externalLink string nullable uri
      • iconPath string nullable
      • thumbnailPath string nullable
      • path string nullable
      • type string required
        One of: image video document
      • width number nullable
      • height number nullable
      • fileSize number nullable
      • videoLength number nullable
      • mime string nullable
      • ext string nullable
      • createdAt string required nullable date-time
      • updatedAt string required nullable date-time
  • socialAccounts object[] required
    9 fields
    • postId string required
    • socialAccountId string required
    • externalPostId string nullable
    • externalAlternatePostId string nullable
    • externalVideoId string nullable
    • createdAt string required nullable date-time
    • updatedAt string required nullable date-time
    • deletedAt string nullable date-time
    • socialAccount object required
      26 fields
      • id string required
      • type string required
        One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
      • teamId string required
      • username string nullable
      • displayName string nullable
      • bio string nullable
      • avatarUrl string nullable
      • externalId string nullable
      • providerPageId string nullable
      • userUsername string nullable
      • userDisplayName string nullable
      • userEmail string nullable
      • userId string nullable
      • channels object[] nullable
        7 fields
        • id string required
        • name string nullable
        • username string nullable
        • address string nullable
        • avatarUrl string nullable
        • webhook object nullable
          4 fields
          • id string nullable
          • name string nullable
          • avatar string nullable
          • url string nullable
        • metadata object nullable
          5 fields
          • allowImages boolean nullable
          • allowVideos boolean nullable
          • allowGalleries boolean nullable
          • linkFlairEnabled boolean nullable
          • facebookPageId string nullable
      • mastodonServerId string nullable
      • instagramConnectionMethod string nullable
        One of: FACEBOOK INSTAGRAM
      • twitterSubType string nullable
        One of: none basic premium premium_plus
      • isTiktokBusinessAccount boolean nullable
      • disconnectedCheckTryAt string nullable date-time
      • deleteOn string nullable date-time
      • messagingStatus string default "DISABLED"
        One of: DISABLED ENABLED DISABLE_PENDING
      • messagingStatusUpdatedAt string nullable date-time
      • messagingLastError string nullable
      • createdAt string required nullable date-time
      • updatedAt string required nullable date-time
      • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

GET /api/v1/post/{id}

Get post

post.get · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X GET "https://api.siaran.my/api/v1/post/ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

20 top-level fields
  • id string required
  • teamId string required
  • organizationId string nullable
  • title string required
  • referenceKey string nullable
  • postDate string required nullable date-time
  • postedDate string nullable date-time
  • status string required
    One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING REVIEW RETRYING
  • data object required
    15 fields
    • TWITTER object nullable
      12 fields
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable max length 1,000
      • replySettings string nullable
        One of: EVERYONE FOLLOWING MENTIONED_USERS SUBSCRIBERS VERIFIED
      • poll object nullable
        2 fields
        • options string[] required min 2 itemsmax 4 itemseach: min length 1each: max length 25
        • durationMinutes integer required ≥ 5≤ 10080
      • quoteTweetId string nullable
      • replyToTweetId string nullable
      • subscribersOnly boolean nullable
      • thread object[] nullable max 25 items
        2 fields
        • text string nullable max length 25,000
        • uploadIds string[] nullable
      • tweetStorm boolean nullable
      • tweetStormNumbering boolean nullable
      • isAiGenerated boolean nullable default false
    • PINTEREST object nullable
      10 fields
      • text string nullable
      • description string nullable
      • boardName string required
      • uploadIds string[] nullable
      • thumbnail string nullable
      • link string nullable
      • altText string nullable
      • note string nullable
      • dominantColor string nullable
      • isAiGenerated boolean nullable default false
    • FACEBOOK object nullable
      9 fields
      • type string default "POST"
        One of: POST REEL STORY
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable
      • link string nullable
      • thumbnail string nullable
      • mediaTitle string nullable
      • nativeScheduleTime string nullable date-time
      • textFormatPresetId string nullable
    • INSTAGRAM object nullable
      18 fields
      • type string default "POST"
        One of: POST REEL STORY
      • text string nullable
      • uploadIds string[] nullable
      • altText string nullable
      • thumbnailOffset number nullable default 0
      • thumbnail string nullable
      • shareToFeed boolean nullable default true
      • collaborators string[] nullable
      • autoFitImage boolean nullable default false
      • autoCropImage boolean nullable default false
      • tagged object[] nullable
        3 fields
        • username string required
        • x number ≥ 0≤ 1
        • y number ≥ 0≤ 1
      • carouselItems object[] nullable
        3 fields
        • uploadId string required
        • altText string nullable
        • tagged object[] nullable
          3 fields
          • username string required
          • x number required ≥ 0≤ 1
          • y number required ≥ 0≤ 1
      • locationId string nullable
      • trialParams object nullable
        1 field
        • graduationStrategy string required
          One of: MANUAL SS_PERFORMANCE
      • isPaidPartnership boolean nullable default false
      • brandedContentSponsors string[] nullable max 2 itemseach: min length 1each: max length 30
      • musicSoundInfo object nullable
        3 fields
        • musicSoundId string required min length 1
        • musicSoundVolume integer nullable ≥ 0≤ 100
        • videoOriginalSoundVolume integer nullable ≥ 0≤ 100
      • isAiGenerated boolean nullable default false
    • THREADS object nullable
      11 fields
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable
      • topicTag string nullable
      • replyControl string nullable
        One of: everyone accounts_you_follow mentioned_only parent_post_author_only followers_only
      • linkAttachment string nullable
      • poll object nullable
        4 fields
        • optionA string required
        • optionB string required
        • optionC string nullable
        • optionD string nullable
      • gif object nullable
        2 fields
        • gifId string required
        • provider string default "GIPHY"
          One of: GIPHY
      • allowlistedCountryCodes string[] nullable
      • crosspostToInstagramStory boolean nullable
      • crosspostToInstagramStoryDarkMode boolean nullable
    • TIKTOK object nullable
      17 fields
      • type string default "VIDEO"
        One of: VIDEO IMAGE
      • text string nullable
      • uploadIds string[] nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: SELF_ONLY PUBLIC_TO_EVERYONE MUTUAL_FOLLOW_FRIENDS FOLLOWER_OF_CREATOR
      • photoCoverIndex integer nullable default 0 ≥ 0
      • isBrandContent boolean nullable default false
      • isOrganicBrandContent boolean nullable default false
      • disableComments boolean nullable default false
      • disableDuet boolean nullable default false
      • disableStitch boolean nullable default false
      • thumbnailOffset number nullable default 0
      • isAiGenerated boolean nullable default false
      • autoAddMusic boolean nullable default false
      • autoScale boolean nullable default false
      • uploadToDraft boolean nullable default false
      • musicSoundInfo object nullable
        5 fields
        • musicSoundId string required min length 1
        • musicSoundVolume integer nullable ≥ 0≤ 100
        • musicSoundStart integer nullable ≥ 0
        • musicSoundEnd integer nullable ≥ 0
        • videoOriginalSoundVolume integer nullable ≥ 0≤ 100
    • LINKEDIN object nullable
      8 fields
      • text string required
      • uploadIds string[] nullable
      • link string nullable
      • thumbnail string nullable
      • mediaTitle string nullable
      • privacy string nullable
        One of: CONNECTIONS PUBLIC LOGGED_IN CONTAINER
      • hideFromFeed boolean nullable default false
      • disableReshare boolean nullable default false
    • YOUTUBE object nullable
      11 fields
      • type string default "SHORT"
        One of: VIDEO SHORT
      • uploadIds string[] nullable
      • text string nullable
      • description string nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: PRIVATE PUBLIC UNLISTED
      • defaultLanguage string nullable max length 35
      • defaultAudioLanguage string nullable max length 35
      • madeForKids boolean nullable default false
      • containsSyntheticMedia boolean nullable default false
      • hasPaidProductPlacement boolean nullable default false
    • REDDIT object nullable
      7 fields
      • sr string required
      • text string required
      • description string nullable
      • uploadIds string[] nullable
      • link string nullable
      • nsfw boolean nullable default false
      • flairId string nullable
    • DISCORD object nullable
      5 fields
      • channelId string required
      • text string nullable
      • uploadIds string[] nullable
      • username string nullable
      • avatarUrl string nullable
    • SLACK object nullable
      5 fields
      • channelId string required
      • text string nullable
      • uploadIds string[] nullable
      • username string nullable
      • avatarUrl string nullable
    • MASTODON object nullable
      5 fields
      • text string nullable
      • uploadIds string[] nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: PUBLIC UNLISTED PRIVATE DIRECT
      • spoiler string nullable
    • BLUESKY object nullable
      10 fields
      • text string nullable
      • uploadIds string[] nullable
      • tags string[] nullable max 8 items
      • labels string[] nullable
        One of: !no-unauthenticated porn sexual nudity graphic-media
      • quoteUri string max length 512pattern ^at:\/\/\S+$
      • externalUrl string nullable uri
      • externalTitle string nullable
      • externalDescription string nullable
      • thumbnail string nullable urimax length 2,048
      • videoAlt string nullable max length 10,000
    • GOOGLE_BUSINESS object nullable
      13 fields
      • text string nullable
      • uploadIds string[] nullable
      • topicType string nullable default "STANDARD"
        One of: STANDARD EVENT OFFER ALERT
      • languageCode string nullable
      • callToActionType string nullable
        One of: BOOK ORDER SHOP LEARN_MORE SIGN_UP CALL
      • callToActionUrl string nullable
      • eventTitle string nullable
      • eventStartDate string nullable date-time
      • eventEndDate string nullable date-time
      • offerCouponCode string nullable
      • offerRedeemOnlineUrl string nullable
      • offerTermsConditions string nullable
      • alertType string nullable default "COVID_19"
        One of: COVID_19
    • SNAPCHAT object nullable
      8 fields
      • type string default "STORY"
        One of: STORY SPOTLIGHT SAVED_STORY
      • uploadIds string[] nullable
      • text string nullable
      • title string nullable
      • description string nullable
      • locale string nullable
      • skipSaveToProfile boolean nullable default false
      • storyDuration string nullable
        One of: ONE_DAY TWO_DAYS THREE_DAYS ONE_WEEK
  • error string nullable
  • errors object nullable
    15 fields
    • TWITTER string nullable
    • PINTEREST string nullable
    • FACEBOOK string nullable
    • INSTAGRAM string nullable
    • TIKTOK string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • YOUTUBE string nullable
    • MASTODON string nullable
    • THREADS string nullable
    • BLUESKY string nullable
    • GOOGLE_BUSINESS string nullable
    • SNAPCHAT string nullable
  • errorsVerbose object nullable
    15 fields
    • TWITTER object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • PINTEREST object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • FACEBOOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • INSTAGRAM object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • TIKTOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • LINKEDIN object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • REDDIT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • DISCORD object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SLACK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • YOUTUBE object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • MASTODON object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • THREADS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • BLUESKY object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • GOOGLE_BUSINESS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SNAPCHAT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
  • externalData object nullable
    15 fields
    • TWITTER object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • PINTEREST object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
    • FACEBOOK object nullable
      5 fields
      • id string nullable
      • postId string nullable
      • videoId string nullable
      • permalink string nullable
      • thumbnail string nullable
    • INSTAGRAM object nullable
      4 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
      • creationId string nullable
    • TIKTOK object nullable
      5 fields
      • id string nullable
      • shareId string nullable
      • requestId string nullable
      • permalink string nullable
      • status string nullable
    • LINKEDIN object nullable
      4 fields
      • id string nullable
      • activity string nullable
      • permalink string nullable
      • thumbnail string nullable
    • REDDIT object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • subreddit_name string nullable
    • DISCORD object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • channelId string nullable
    • SLACK object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • channelId string nullable
    • YOUTUBE object nullable
      4 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
      • sessionUri string nullable
    • MASTODON object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
    • THREADS object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • creationId string nullable
    • BLUESKY object nullable
      5 fields
      • id string nullable
      • uri string nullable
      • cid string nullable
      • permalink string nullable
      • did string nullable
    • GOOGLE_BUSINESS object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • SNAPCHAT object nullable
      10 fields
      • id string nullable
      • mediaId string nullable
      • mediaIds string[] nullable
      • type string nullable
        One of: STORY SPOTLIGHT SAVED_STORY
      • profileId string nullable
      • sourceUploadId string nullable
      • sourceUploadIds string[] nullable
      • mediaUploadedAt string nullable
      • permalink string nullable
      • status string nullable
        One of: MEDIA_UPLOADED MEDIA_PROCESSING PUBLISHED
  • retryCount number required
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time
  • firstComment object nullable
    12 fields
    • TIKTOK string nullable
    • YOUTUBE string nullable
    • INSTAGRAM string nullable
    • FACEBOOK string nullable
    • TWITTER string nullable
    • THREADS string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • MASTODON string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • BLUESKY string nullable
  • uploads object[] required
    6 fields
    • postId string required
    • uploadId string required
    • createdAt string required nullable date-time
    • updatedAt string required nullable date-time
    • deletedAt string nullable date-time
    • upload object required
      19 fields
      • id string required
      • teamId string nullable
      • organizationId string nullable
      • iconUrl string nullable uri
      • thumbnailUrl string nullable uri
      • url string nullable uri
      • externalLink string nullable uri
      • iconPath string nullable
      • thumbnailPath string nullable
      • path string nullable
      • type string required
        One of: image video document
      • width number nullable
      • height number nullable
      • fileSize number nullable
      • videoLength number nullable
      • mime string nullable
      • ext string nullable
      • createdAt string required nullable date-time
      • updatedAt string required nullable date-time
  • socialAccounts object[] required
    9 fields
    • postId string required
    • socialAccountId string required
    • externalPostId string nullable
    • externalAlternatePostId string nullable
    • externalVideoId string nullable
    • createdAt string required nullable date-time
    • updatedAt string required nullable date-time
    • deletedAt string nullable date-time
    • socialAccount object required
      26 fields
      • id string required
      • type string required
        One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
      • teamId string required
      • username string nullable
      • displayName string nullable
      • bio string nullable
      • avatarUrl string nullable
      • externalId string nullable
      • providerPageId string nullable
      • userUsername string nullable
      • userDisplayName string nullable
      • userEmail string nullable
      • userId string nullable
      • channels object[] nullable
        7 fields
        • id string required
        • name string nullable
        • username string nullable
        • address string nullable
        • avatarUrl string nullable
        • webhook object nullable
          4 fields
          • id string nullable
          • name string nullable
          • avatar string nullable
          • url string nullable
        • metadata object nullable
          5 fields
          • allowImages boolean nullable
          • allowVideos boolean nullable
          • allowGalleries boolean nullable
          • linkFlairEnabled boolean nullable
          • facebookPageId string nullable
      • mastodonServerId string nullable
      • instagramConnectionMethod string nullable
        One of: FACEBOOK INSTAGRAM
      • twitterSubType string nullable
        One of: none basic premium premium_plus
      • isTiktokBusinessAccount boolean nullable
      • disconnectedCheckTryAt string nullable date-time
      • deleteOn string nullable date-time
      • messagingStatus string default "DISABLED"
        One of: DISABLED ENABLED DISABLE_PENDING
      • messagingStatusUpdatedAt string nullable date-time
      • messagingLastError string nullable
      • createdAt string required nullable date-time
      • updatedAt string required nullable date-time
      • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

PATCH /api/v1/post/{id}

Update post

post.update · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Request body application/json

  • title string min length 1
  • referenceKey string nullable min length 1max length 128
  • postDate string
  • status string
    One of: DRAFT SCHEDULED
  • socialAccountTypes string[] min 1 items
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • data object
    15 fields
    • TWITTER object nullable
      12 fields
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable max length 1,000
      • replySettings string nullable
        One of: EVERYONE FOLLOWING MENTIONED_USERS SUBSCRIBERS VERIFIED
      • poll object nullable
        2 fields
        • options string[] required min 2 itemsmax 4 itemseach: min length 1each: max length 25
        • durationMinutes integer required ≥ 5≤ 10080
      • quoteTweetId string nullable
      • replyToTweetId string nullable
      • subscribersOnly boolean nullable
      • thread object[] nullable max 25 items
        2 fields
        • text string nullable max length 25,000
        • uploadIds string[] nullable
      • tweetStorm boolean nullable
      • tweetStormNumbering boolean nullable
      • isAiGenerated boolean nullable default false
    • PINTEREST object nullable
      10 fields
      • text string nullable
      • description string nullable
      • boardName string required
      • uploadIds string[] nullable
      • thumbnail string nullable
      • link string nullable
      • altText string nullable
      • note string nullable
      • dominantColor string nullable
      • isAiGenerated boolean nullable default false
    • FACEBOOK object nullable
      9 fields
      • type string default "POST"
        One of: POST REEL STORY
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable
      • link string nullable
      • thumbnail string nullable
      • mediaTitle string nullable
      • nativeScheduleTime string nullable date-time
      • textFormatPresetId string nullable
    • INSTAGRAM object nullable
      18 fields
      • type string default "POST"
        One of: POST REEL STORY
      • text string nullable
      • uploadIds string[] nullable
      • altText string nullable
      • thumbnailOffset number nullable default 0
      • thumbnail string nullable
      • shareToFeed boolean nullable default true
      • collaborators string[] nullable
      • autoFitImage boolean nullable default false
      • autoCropImage boolean nullable default false
      • tagged object[] nullable
        3 fields
        • username string required
        • x number ≥ 0≤ 1
        • y number ≥ 0≤ 1
      • carouselItems object[] nullable
        3 fields
        • uploadId string required
        • altText string nullable
        • tagged object[] nullable
          3 fields
          • username string required
          • x number required ≥ 0≤ 1
          • y number required ≥ 0≤ 1
      • locationId string nullable
      • trialParams object nullable
        1 field
        • graduationStrategy string required
          One of: MANUAL SS_PERFORMANCE
      • isPaidPartnership boolean nullable default false
      • brandedContentSponsors string[] nullable max 2 itemseach: min length 1each: max length 30
      • musicSoundInfo object nullable
        3 fields
        • musicSoundId string required min length 1
        • musicSoundVolume integer nullable ≥ 0≤ 100
        • videoOriginalSoundVolume integer nullable ≥ 0≤ 100
      • isAiGenerated boolean nullable default false
    • THREADS object nullable
      11 fields
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable
      • topicTag string nullable
      • replyControl string nullable
        One of: everyone accounts_you_follow mentioned_only parent_post_author_only followers_only
      • linkAttachment string nullable
      • poll object nullable
        4 fields
        • optionA string required
        • optionB string required
        • optionC string nullable
        • optionD string nullable
      • gif object nullable
        2 fields
        • gifId string required
        • provider string default "GIPHY"
          One of: GIPHY
      • allowlistedCountryCodes string[] nullable
      • crosspostToInstagramStory boolean nullable
      • crosspostToInstagramStoryDarkMode boolean nullable
    • TIKTOK object nullable
      17 fields
      • type string default "VIDEO"
        One of: VIDEO IMAGE
      • text string nullable
      • uploadIds string[] nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: SELF_ONLY PUBLIC_TO_EVERYONE MUTUAL_FOLLOW_FRIENDS FOLLOWER_OF_CREATOR
      • photoCoverIndex integer nullable default 0 ≥ 0
      • isBrandContent boolean nullable default false
      • isOrganicBrandContent boolean nullable default false
      • disableComments boolean nullable default false
      • disableDuet boolean nullable default false
      • disableStitch boolean nullable default false
      • thumbnailOffset number nullable default 0
      • isAiGenerated boolean nullable default false
      • autoAddMusic boolean nullable default false
      • autoScale boolean nullable default false
      • uploadToDraft boolean nullable default false
      • musicSoundInfo object nullable
        5 fields
        • musicSoundId string required min length 1
        • musicSoundVolume integer nullable ≥ 0≤ 100
        • musicSoundStart integer nullable ≥ 0
        • musicSoundEnd integer nullable ≥ 0
        • videoOriginalSoundVolume integer nullable ≥ 0≤ 100
    • LINKEDIN object nullable
      8 fields
      • text string required
      • uploadIds string[] nullable
      • link string nullable
      • thumbnail string nullable
      • mediaTitle string nullable
      • privacy string nullable
        One of: CONNECTIONS PUBLIC LOGGED_IN CONTAINER
      • hideFromFeed boolean nullable default false
      • disableReshare boolean nullable default false
    • YOUTUBE object nullable
      11 fields
      • type string default "SHORT"
        One of: VIDEO SHORT
      • uploadIds string[] nullable
      • text string nullable
      • description string nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: PRIVATE PUBLIC UNLISTED
      • defaultLanguage string nullable max length 35
      • defaultAudioLanguage string nullable max length 35
      • madeForKids boolean nullable default false
      • containsSyntheticMedia boolean nullable default false
      • hasPaidProductPlacement boolean nullable default false
    • REDDIT object nullable
      7 fields
      • sr string required
      • text string required
      • description string nullable
      • uploadIds string[] nullable
      • link string nullable
      • nsfw boolean nullable default false
      • flairId string nullable
    • DISCORD object nullable
      5 fields
      • channelId string required
      • text string nullable
      • uploadIds string[] nullable
      • username string nullable
      • avatarUrl string nullable
    • SLACK object nullable
      5 fields
      • channelId string required
      • text string nullable
      • uploadIds string[] nullable
      • username string nullable
      • avatarUrl string nullable
    • MASTODON object nullable
      5 fields
      • text string nullable
      • uploadIds string[] nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: PUBLIC UNLISTED PRIVATE DIRECT
      • spoiler string nullable
    • BLUESKY object nullable
      10 fields
      • text string nullable
      • uploadIds string[] nullable
      • tags string[] nullable max 8 items
      • labels string[] nullable
        One of: !no-unauthenticated porn sexual nudity graphic-media
      • quoteUri string max length 512pattern ^at:\/\/\S+$
      • externalUrl string nullable uri
      • externalTitle string nullable
      • externalDescription string nullable
      • thumbnail string nullable urimax length 2,048
      • videoAlt string nullable max length 10,000
    • GOOGLE_BUSINESS object nullable
      13 fields
      • text string nullable
      • uploadIds string[] nullable
      • topicType string nullable default "STANDARD"
        One of: STANDARD EVENT OFFER ALERT
      • languageCode string nullable
      • callToActionType string nullable
        One of: BOOK ORDER SHOP LEARN_MORE SIGN_UP CALL
      • callToActionUrl string nullable
      • eventTitle string nullable
      • eventStartDate string nullable date-time
      • eventEndDate string nullable date-time
      • offerCouponCode string nullable
      • offerRedeemOnlineUrl string nullable
      • offerTermsConditions string nullable
      • alertType string nullable default "COVID_19"
        One of: COVID_19
    • SNAPCHAT object nullable
      8 fields
      • type string default "STORY"
        One of: STORY SPOTLIGHT SAVED_STORY
      • uploadIds string[] nullable
      • text string nullable
      • title string nullable
      • description string nullable
      • locale string nullable
      • skipSaveToProfile boolean nullable default false
      • storyDuration string nullable
        One of: ONE_DAY TWO_DAYS THREE_DAYS ONE_WEEK
  • firstComment object nullable
    12 fields
    • TIKTOK string nullable max length 1,200
    • YOUTUBE string nullable max length 10,000
    • INSTAGRAM string nullable max length 2,200
    • FACEBOOK string nullable max length 8,000
    • TWITTER string nullable max length 25,000
    • THREADS string nullable max length 500
    • LINKEDIN string nullable max length 1,250
    • REDDIT string nullable max length 10,000
    • MASTODON string nullable max length 500
    • DISCORD string nullable max length 2,000
    • SLACK string nullable max length 30,000
    • BLUESKY string nullable max length 300

Example

curl -X PATCH "https://api.siaran.my/api/v1/post/ID" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "title": "Hello from Siar",
    "referenceKey": "string",
    "postDate": "2026-11-02T09:00:00.000Z"
  }'

Response 200

18 top-level fields
  • id string required
  • teamId string required
  • organizationId string nullable
  • title string required
  • referenceKey string nullable
  • postDate string required nullable date-time
  • postedDate string nullable date-time
  • status string required
    One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING REVIEW RETRYING
  • data object required
    15 fields
    • TWITTER object nullable
      12 fields
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable max length 1,000
      • replySettings string nullable
        One of: EVERYONE FOLLOWING MENTIONED_USERS SUBSCRIBERS VERIFIED
      • poll object nullable
        2 fields
        • options string[] required min 2 itemsmax 4 itemseach: min length 1each: max length 25
        • durationMinutes integer required ≥ 5≤ 10080
      • quoteTweetId string nullable
      • replyToTweetId string nullable
      • subscribersOnly boolean nullable
      • thread object[] nullable max 25 items
        2 fields
        • text string nullable max length 25,000
        • uploadIds string[] nullable
      • tweetStorm boolean nullable
      • tweetStormNumbering boolean nullable
      • isAiGenerated boolean nullable default false
    • PINTEREST object nullable
      10 fields
      • text string nullable
      • description string nullable
      • boardName string required
      • uploadIds string[] nullable
      • thumbnail string nullable
      • link string nullable
      • altText string nullable
      • note string nullable
      • dominantColor string nullable
      • isAiGenerated boolean nullable default false
    • FACEBOOK object nullable
      9 fields
      • type string default "POST"
        One of: POST REEL STORY
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable
      • link string nullable
      • thumbnail string nullable
      • mediaTitle string nullable
      • nativeScheduleTime string nullable date-time
      • textFormatPresetId string nullable
    • INSTAGRAM object nullable
      18 fields
      • type string default "POST"
        One of: POST REEL STORY
      • text string nullable
      • uploadIds string[] nullable
      • altText string nullable
      • thumbnailOffset number nullable default 0
      • thumbnail string nullable
      • shareToFeed boolean nullable default true
      • collaborators string[] nullable
      • autoFitImage boolean nullable default false
      • autoCropImage boolean nullable default false
      • tagged object[] nullable
        3 fields
        • username string required
        • x number ≥ 0≤ 1
        • y number ≥ 0≤ 1
      • carouselItems object[] nullable
        3 fields
        • uploadId string required
        • altText string nullable
        • tagged object[] nullable
          3 fields
          • username string required
          • x number required ≥ 0≤ 1
          • y number required ≥ 0≤ 1
      • locationId string nullable
      • trialParams object nullable
        1 field
        • graduationStrategy string required
          One of: MANUAL SS_PERFORMANCE
      • isPaidPartnership boolean nullable default false
      • brandedContentSponsors string[] nullable max 2 itemseach: min length 1each: max length 30
      • musicSoundInfo object nullable
        3 fields
        • musicSoundId string required min length 1
        • musicSoundVolume integer nullable ≥ 0≤ 100
        • videoOriginalSoundVolume integer nullable ≥ 0≤ 100
      • isAiGenerated boolean nullable default false
    • THREADS object nullable
      11 fields
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable
      • topicTag string nullable
      • replyControl string nullable
        One of: everyone accounts_you_follow mentioned_only parent_post_author_only followers_only
      • linkAttachment string nullable
      • poll object nullable
        4 fields
        • optionA string required
        • optionB string required
        • optionC string nullable
        • optionD string nullable
      • gif object nullable
        2 fields
        • gifId string required
        • provider string default "GIPHY"
          One of: GIPHY
      • allowlistedCountryCodes string[] nullable
      • crosspostToInstagramStory boolean nullable
      • crosspostToInstagramStoryDarkMode boolean nullable
    • TIKTOK object nullable
      17 fields
      • type string default "VIDEO"
        One of: VIDEO IMAGE
      • text string nullable
      • uploadIds string[] nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: SELF_ONLY PUBLIC_TO_EVERYONE MUTUAL_FOLLOW_FRIENDS FOLLOWER_OF_CREATOR
      • photoCoverIndex integer nullable default 0 ≥ 0
      • isBrandContent boolean nullable default false
      • isOrganicBrandContent boolean nullable default false
      • disableComments boolean nullable default false
      • disableDuet boolean nullable default false
      • disableStitch boolean nullable default false
      • thumbnailOffset number nullable default 0
      • isAiGenerated boolean nullable default false
      • autoAddMusic boolean nullable default false
      • autoScale boolean nullable default false
      • uploadToDraft boolean nullable default false
      • musicSoundInfo object nullable
        5 fields
        • musicSoundId string required min length 1
        • musicSoundVolume integer nullable ≥ 0≤ 100
        • musicSoundStart integer nullable ≥ 0
        • musicSoundEnd integer nullable ≥ 0
        • videoOriginalSoundVolume integer nullable ≥ 0≤ 100
    • LINKEDIN object nullable
      8 fields
      • text string required
      • uploadIds string[] nullable
      • link string nullable
      • thumbnail string nullable
      • mediaTitle string nullable
      • privacy string nullable
        One of: CONNECTIONS PUBLIC LOGGED_IN CONTAINER
      • hideFromFeed boolean nullable default false
      • disableReshare boolean nullable default false
    • YOUTUBE object nullable
      11 fields
      • type string default "SHORT"
        One of: VIDEO SHORT
      • uploadIds string[] nullable
      • text string nullable
      • description string nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: PRIVATE PUBLIC UNLISTED
      • defaultLanguage string nullable max length 35
      • defaultAudioLanguage string nullable max length 35
      • madeForKids boolean nullable default false
      • containsSyntheticMedia boolean nullable default false
      • hasPaidProductPlacement boolean nullable default false
    • REDDIT object nullable
      7 fields
      • sr string required
      • text string required
      • description string nullable
      • uploadIds string[] nullable
      • link string nullable
      • nsfw boolean nullable default false
      • flairId string nullable
    • DISCORD object nullable
      5 fields
      • channelId string required
      • text string nullable
      • uploadIds string[] nullable
      • username string nullable
      • avatarUrl string nullable
    • SLACK object nullable
      5 fields
      • channelId string required
      • text string nullable
      • uploadIds string[] nullable
      • username string nullable
      • avatarUrl string nullable
    • MASTODON object nullable
      5 fields
      • text string nullable
      • uploadIds string[] nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: PUBLIC UNLISTED PRIVATE DIRECT
      • spoiler string nullable
    • BLUESKY object nullable
      10 fields
      • text string nullable
      • uploadIds string[] nullable
      • tags string[] nullable max 8 items
      • labels string[] nullable
        One of: !no-unauthenticated porn sexual nudity graphic-media
      • quoteUri string max length 512pattern ^at:\/\/\S+$
      • externalUrl string nullable uri
      • externalTitle string nullable
      • externalDescription string nullable
      • thumbnail string nullable urimax length 2,048
      • videoAlt string nullable max length 10,000
    • GOOGLE_BUSINESS object nullable
      13 fields
      • text string nullable
      • uploadIds string[] nullable
      • topicType string nullable default "STANDARD"
        One of: STANDARD EVENT OFFER ALERT
      • languageCode string nullable
      • callToActionType string nullable
        One of: BOOK ORDER SHOP LEARN_MORE SIGN_UP CALL
      • callToActionUrl string nullable
      • eventTitle string nullable
      • eventStartDate string nullable date-time
      • eventEndDate string nullable date-time
      • offerCouponCode string nullable
      • offerRedeemOnlineUrl string nullable
      • offerTermsConditions string nullable
      • alertType string nullable default "COVID_19"
        One of: COVID_19
    • SNAPCHAT object nullable
      8 fields
      • type string default "STORY"
        One of: STORY SPOTLIGHT SAVED_STORY
      • uploadIds string[] nullable
      • text string nullable
      • title string nullable
      • description string nullable
      • locale string nullable
      • skipSaveToProfile boolean nullable default false
      • storyDuration string nullable
        One of: ONE_DAY TWO_DAYS THREE_DAYS ONE_WEEK
  • error string nullable
  • errors object nullable
    15 fields
    • TWITTER string nullable
    • PINTEREST string nullable
    • FACEBOOK string nullable
    • INSTAGRAM string nullable
    • TIKTOK string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • YOUTUBE string nullable
    • MASTODON string nullable
    • THREADS string nullable
    • BLUESKY string nullable
    • GOOGLE_BUSINESS string nullable
    • SNAPCHAT string nullable
  • errorsVerbose object nullable
    15 fields
    • TWITTER object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • PINTEREST object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • FACEBOOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • INSTAGRAM object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • TIKTOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • LINKEDIN object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • REDDIT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • DISCORD object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SLACK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • YOUTUBE object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • MASTODON object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • THREADS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • BLUESKY object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • GOOGLE_BUSINESS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SNAPCHAT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
  • externalData object nullable
    15 fields
    • TWITTER object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • PINTEREST object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
    • FACEBOOK object nullable
      5 fields
      • id string nullable
      • postId string nullable
      • videoId string nullable
      • permalink string nullable
      • thumbnail string nullable
    • INSTAGRAM object nullable
      4 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
      • creationId string nullable
    • TIKTOK object nullable
      5 fields
      • id string nullable
      • shareId string nullable
      • requestId string nullable
      • permalink string nullable
      • status string nullable
    • LINKEDIN object nullable
      4 fields
      • id string nullable
      • activity string nullable
      • permalink string nullable
      • thumbnail string nullable
    • REDDIT object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • subreddit_name string nullable
    • DISCORD object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • channelId string nullable
    • SLACK object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • channelId string nullable
    • YOUTUBE object nullable
      4 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
      • sessionUri string nullable
    • MASTODON object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
    • THREADS object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • creationId string nullable
    • BLUESKY object nullable
      5 fields
      • id string nullable
      • uri string nullable
      • cid string nullable
      • permalink string nullable
      • did string nullable
    • GOOGLE_BUSINESS object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • SNAPCHAT object nullable
      10 fields
      • id string nullable
      • mediaId string nullable
      • mediaIds string[] nullable
      • type string nullable
        One of: STORY SPOTLIGHT SAVED_STORY
      • profileId string nullable
      • sourceUploadId string nullable
      • sourceUploadIds string[] nullable
      • mediaUploadedAt string nullable
      • permalink string nullable
      • status string nullable
        One of: MEDIA_UPLOADED MEDIA_PROCESSING PUBLISHED
  • retryCount number required
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time
  • firstComment object nullable
    12 fields
    • TIKTOK string nullable
    • YOUTUBE string nullable
    • INSTAGRAM string nullable
    • FACEBOOK string nullable
    • TWITTER string nullable
    • THREADS string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • MASTODON string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • BLUESKY string nullable

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 409 Conflict · 429 Rate limited · 500 Server error · 502 Network error

DELETE /api/v1/post/{id}

Delete post

post.delete · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X DELETE "https://api.siaran.my/api/v1/post/ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

17 top-level fields
  • id string required
  • teamId string required
  • organizationId string nullable
  • title string required
  • referenceKey string nullable
  • postDate string required nullable date-time
  • postedDate string nullable date-time
  • status string required
    One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING REVIEW RETRYING
  • data object required
    15 fields
    • TWITTER object nullable
      12 fields
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable max length 1,000
      • replySettings string nullable
        One of: EVERYONE FOLLOWING MENTIONED_USERS SUBSCRIBERS VERIFIED
      • poll object nullable
        2 fields
        • options string[] required min 2 itemsmax 4 itemseach: min length 1each: max length 25
        • durationMinutes integer required ≥ 5≤ 10080
      • quoteTweetId string nullable
      • replyToTweetId string nullable
      • subscribersOnly boolean nullable
      • thread object[] nullable max 25 items
        2 fields
        • text string nullable max length 25,000
        • uploadIds string[] nullable
      • tweetStorm boolean nullable
      • tweetStormNumbering boolean nullable
      • isAiGenerated boolean nullable default false
    • PINTEREST object nullable
      10 fields
      • text string nullable
      • description string nullable
      • boardName string required
      • uploadIds string[] nullable
      • thumbnail string nullable
      • link string nullable
      • altText string nullable
      • note string nullable
      • dominantColor string nullable
      • isAiGenerated boolean nullable default false
    • FACEBOOK object nullable
      9 fields
      • type string default "POST"
        One of: POST REEL STORY
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable
      • link string nullable
      • thumbnail string nullable
      • mediaTitle string nullable
      • nativeScheduleTime string nullable date-time
      • textFormatPresetId string nullable
    • INSTAGRAM object nullable
      18 fields
      • type string default "POST"
        One of: POST REEL STORY
      • text string nullable
      • uploadIds string[] nullable
      • altText string nullable
      • thumbnailOffset number nullable default 0
      • thumbnail string nullable
      • shareToFeed boolean nullable default true
      • collaborators string[] nullable
      • autoFitImage boolean nullable default false
      • autoCropImage boolean nullable default false
      • tagged object[] nullable
        3 fields
        • username string required
        • x number ≥ 0≤ 1
        • y number ≥ 0≤ 1
      • carouselItems object[] nullable
        3 fields
        • uploadId string required
        • altText string nullable
        • tagged object[] nullable
          3 fields
          • username string required
          • x number required ≥ 0≤ 1
          • y number required ≥ 0≤ 1
      • locationId string nullable
      • trialParams object nullable
        1 field
        • graduationStrategy string required
          One of: MANUAL SS_PERFORMANCE
      • isPaidPartnership boolean nullable default false
      • brandedContentSponsors string[] nullable max 2 itemseach: min length 1each: max length 30
      • musicSoundInfo object nullable
        3 fields
        • musicSoundId string required min length 1
        • musicSoundVolume integer nullable ≥ 0≤ 100
        • videoOriginalSoundVolume integer nullable ≥ 0≤ 100
      • isAiGenerated boolean nullable default false
    • THREADS object nullable
      11 fields
      • text string nullable
      • uploadIds string[] nullable
      • mediaItems object[] nullable
        2 fields
        • uploadId string required
        • altText string nullable
      • topicTag string nullable
      • replyControl string nullable
        One of: everyone accounts_you_follow mentioned_only parent_post_author_only followers_only
      • linkAttachment string nullable
      • poll object nullable
        4 fields
        • optionA string required
        • optionB string required
        • optionC string nullable
        • optionD string nullable
      • gif object nullable
        2 fields
        • gifId string required
        • provider string default "GIPHY"
          One of: GIPHY
      • allowlistedCountryCodes string[] nullable
      • crosspostToInstagramStory boolean nullable
      • crosspostToInstagramStoryDarkMode boolean nullable
    • TIKTOK object nullable
      17 fields
      • type string default "VIDEO"
        One of: VIDEO IMAGE
      • text string nullable
      • uploadIds string[] nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: SELF_ONLY PUBLIC_TO_EVERYONE MUTUAL_FOLLOW_FRIENDS FOLLOWER_OF_CREATOR
      • photoCoverIndex integer nullable default 0 ≥ 0
      • isBrandContent boolean nullable default false
      • isOrganicBrandContent boolean nullable default false
      • disableComments boolean nullable default false
      • disableDuet boolean nullable default false
      • disableStitch boolean nullable default false
      • thumbnailOffset number nullable default 0
      • isAiGenerated boolean nullable default false
      • autoAddMusic boolean nullable default false
      • autoScale boolean nullable default false
      • uploadToDraft boolean nullable default false
      • musicSoundInfo object nullable
        5 fields
        • musicSoundId string required min length 1
        • musicSoundVolume integer nullable ≥ 0≤ 100
        • musicSoundStart integer nullable ≥ 0
        • musicSoundEnd integer nullable ≥ 0
        • videoOriginalSoundVolume integer nullable ≥ 0≤ 100
    • LINKEDIN object nullable
      8 fields
      • text string required
      • uploadIds string[] nullable
      • link string nullable
      • thumbnail string nullable
      • mediaTitle string nullable
      • privacy string nullable
        One of: CONNECTIONS PUBLIC LOGGED_IN CONTAINER
      • hideFromFeed boolean nullable default false
      • disableReshare boolean nullable default false
    • YOUTUBE object nullable
      11 fields
      • type string default "SHORT"
        One of: VIDEO SHORT
      • uploadIds string[] nullable
      • text string nullable
      • description string nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: PRIVATE PUBLIC UNLISTED
      • defaultLanguage string nullable max length 35
      • defaultAudioLanguage string nullable max length 35
      • madeForKids boolean nullable default false
      • containsSyntheticMedia boolean nullable default false
      • hasPaidProductPlacement boolean nullable default false
    • REDDIT object nullable
      7 fields
      • sr string required
      • text string required
      • description string nullable
      • uploadIds string[] nullable
      • link string nullable
      • nsfw boolean nullable default false
      • flairId string nullable
    • DISCORD object nullable
      5 fields
      • channelId string required
      • text string nullable
      • uploadIds string[] nullable
      • username string nullable
      • avatarUrl string nullable
    • SLACK object nullable
      5 fields
      • channelId string required
      • text string nullable
      • uploadIds string[] nullable
      • username string nullable
      • avatarUrl string nullable
    • MASTODON object nullable
      5 fields
      • text string nullable
      • uploadIds string[] nullable
      • thumbnail string nullable
      • privacy string nullable
        One of: PUBLIC UNLISTED PRIVATE DIRECT
      • spoiler string nullable
    • BLUESKY object nullable
      10 fields
      • text string nullable
      • uploadIds string[] nullable
      • tags string[] nullable max 8 items
      • labels string[] nullable
        One of: !no-unauthenticated porn sexual nudity graphic-media
      • quoteUri string max length 512pattern ^at:\/\/\S+$
      • externalUrl string nullable uri
      • externalTitle string nullable
      • externalDescription string nullable
      • thumbnail string nullable urimax length 2,048
      • videoAlt string nullable max length 10,000
    • GOOGLE_BUSINESS object nullable
      13 fields
      • text string nullable
      • uploadIds string[] nullable
      • topicType string nullable default "STANDARD"
        One of: STANDARD EVENT OFFER ALERT
      • languageCode string nullable
      • callToActionType string nullable
        One of: BOOK ORDER SHOP LEARN_MORE SIGN_UP CALL
      • callToActionUrl string nullable
      • eventTitle string nullable
      • eventStartDate string nullable date-time
      • eventEndDate string nullable date-time
      • offerCouponCode string nullable
      • offerRedeemOnlineUrl string nullable
      • offerTermsConditions string nullable
      • alertType string nullable default "COVID_19"
        One of: COVID_19
    • SNAPCHAT object nullable
      8 fields
      • type string default "STORY"
        One of: STORY SPOTLIGHT SAVED_STORY
      • uploadIds string[] nullable
      • text string nullable
      • title string nullable
      • description string nullable
      • locale string nullable
      • skipSaveToProfile boolean nullable default false
      • storyDuration string nullable
        One of: ONE_DAY TWO_DAYS THREE_DAYS ONE_WEEK
  • error string nullable
  • errors object nullable
    15 fields
    • TWITTER string nullable
    • PINTEREST string nullable
    • FACEBOOK string nullable
    • INSTAGRAM string nullable
    • TIKTOK string nullable
    • LINKEDIN string nullable
    • REDDIT string nullable
    • DISCORD string nullable
    • SLACK string nullable
    • YOUTUBE string nullable
    • MASTODON string nullable
    • THREADS string nullable
    • BLUESKY string nullable
    • GOOGLE_BUSINESS string nullable
    • SNAPCHAT string nullable
  • errorsVerbose object nullable
    15 fields
    • TWITTER object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • PINTEREST object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • FACEBOOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • INSTAGRAM object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • TIKTOK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • LINKEDIN object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • REDDIT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • DISCORD object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SLACK object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • YOUTUBE object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • MASTODON object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • THREADS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • BLUESKY object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • GOOGLE_BUSINESS object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
    • SNAPCHAT object nullable
      7 fields
      • code string nullable
      • errorMessage string nullable
      • isTransient boolean nullable
      • retryability string nullable
        One of: retryable non_retryable unknown
      • httpStatus number nullable
      • meta any nullable
      • userFacingMessage string nullable
  • externalData object nullable
    15 fields
    • TWITTER object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • PINTEREST object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
    • FACEBOOK object nullable
      5 fields
      • id string nullable
      • postId string nullable
      • videoId string nullable
      • permalink string nullable
      • thumbnail string nullable
    • INSTAGRAM object nullable
      4 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
      • creationId string nullable
    • TIKTOK object nullable
      5 fields
      • id string nullable
      • shareId string nullable
      • requestId string nullable
      • permalink string nullable
      • status string nullable
    • LINKEDIN object nullable
      4 fields
      • id string nullable
      • activity string nullable
      • permalink string nullable
      • thumbnail string nullable
    • REDDIT object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • subreddit_name string nullable
    • DISCORD object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • channelId string nullable
    • SLACK object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • channelId string nullable
    • YOUTUBE object nullable
      4 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
      • sessionUri string nullable
    • MASTODON object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • thumbnail string nullable
    • THREADS object nullable
      3 fields
      • id string nullable
      • permalink string nullable
      • creationId string nullable
    • BLUESKY object nullable
      5 fields
      • id string nullable
      • uri string nullable
      • cid string nullable
      • permalink string nullable
      • did string nullable
    • GOOGLE_BUSINESS object nullable
      2 fields
      • id string nullable
      • permalink string nullable
    • SNAPCHAT object nullable
      10 fields
      • id string nullable
      • mediaId string nullable
      • mediaIds string[] nullable
      • type string nullable
        One of: STORY SPOTLIGHT SAVED_STORY
      • profileId string nullable
      • sourceUploadId string nullable
      • sourceUploadIds string[] nullable
      • mediaUploadedAt string nullable
      • permalink string nullable
      • status string nullable
        One of: MEDIA_UPLOADED MEDIA_PROCESSING PUBLISHED
  • retryCount number required
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

GET /api/v1/post

Get post list

post.getList · requires x-api-key

Parameters

NameInTypeNotes
teamId required query string
status query string One of DRAFT, SCHEDULED, POSTED, ERROR, DELETED, PROCESSING, REVIEW, RETRYING · nullable
orderBy query string One of createdAt, updatedAt, postDate, postedDate, deletedAt · nullable
order query string One of ASC, DESC · nullable
q query string nullable
platforms query string[] nullable
postDateFrom query string nullable
postDateTo query string nullable
offset query number default 0 · nullable
limit query number default 10 · nullable

Example

curl -X GET "https://api.siaran.my/api/v1/post/?teamId=TEAM_ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

2 top-level fields
  • items object[] required
    20 fields
    • id string required
    • teamId string required
    • organizationId string nullable
    • title string required
    • referenceKey string nullable
    • postDate string required nullable date-time
    • postedDate string nullable date-time
    • status string required
      One of: DRAFT SCHEDULED POSTED ERROR DELETED PROCESSING REVIEW RETRYING
    • data object required
      15 fields
      • TWITTER object nullable
        12 fields
        • text string nullable
        • uploadIds string[] nullable
        • mediaItems object[] nullable
          2 fields
          • uploadId string required
          • altText string nullable max length 1,000
        • replySettings string nullable
          One of: EVERYONE FOLLOWING MENTIONED_USERS SUBSCRIBERS VERIFIED
        • poll object nullable
          2 fields
          • options string[] required min 2 itemsmax 4 itemseach: min length 1each: max length 25
          • durationMinutes integer required ≥ 5≤ 10080
        • quoteTweetId string nullable
        • replyToTweetId string nullable
        • subscribersOnly boolean nullable
        • thread object[] nullable max 25 items
          2 fields
          • text string nullable max length 25,000
          • uploadIds string[] nullable
        • tweetStorm boolean nullable
        • tweetStormNumbering boolean nullable
        • isAiGenerated boolean nullable default false
      • PINTEREST object nullable
        10 fields
        • text string nullable
        • description string nullable
        • boardName string required
        • uploadIds string[] nullable
        • thumbnail string nullable
        • link string nullable
        • altText string nullable
        • note string nullable
        • dominantColor string nullable
        • isAiGenerated boolean nullable default false
      • FACEBOOK object nullable
        9 fields
        • type string default "POST"
          One of: POST REEL STORY
        • text string nullable
        • uploadIds string[] nullable
        • mediaItems object[] nullable
          2 fields
          • uploadId string required
          • altText string nullable
        • link string nullable
        • thumbnail string nullable
        • mediaTitle string nullable
        • nativeScheduleTime string nullable date-time
        • textFormatPresetId string nullable
      • INSTAGRAM object nullable
        18 fields
        • type string default "POST"
          One of: POST REEL STORY
        • text string nullable
        • uploadIds string[] nullable
        • altText string nullable
        • thumbnailOffset number nullable default 0
        • thumbnail string nullable
        • shareToFeed boolean nullable default true
        • collaborators string[] nullable
        • autoFitImage boolean nullable default false
        • autoCropImage boolean nullable default false
        • tagged object[] nullable
          3 fields
          • username string required
          • x number ≥ 0≤ 1
          • y number ≥ 0≤ 1
        • carouselItems object[] nullable
          3 fields
          • uploadId string required
          • altText string nullable
          • tagged object[] nullable
            3 fields
            • username string required
            • x number required ≥ 0≤ 1
            • y number required ≥ 0≤ 1
        • locationId string nullable
        • trialParams object nullable
          1 field
          • graduationStrategy string required
            One of: MANUAL SS_PERFORMANCE
        • isPaidPartnership boolean nullable default false
[...]
